summaryrefslogtreecommitdiffstats
path: root/network/social-engineer-toolkit
diff options
context:
space:
mode:
author Andre Fernando <ando344@gmail.com>2016-12-21 13:49:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-24 07:33:38 +0700
commit4accae737577872cbfd59df496f9bf147cd4df67 (patch)
treeaff264702e1fbb73f64cf9a71e83721eda464e79 /network/social-engineer-toolkit
parent669bd94eac053c364de8f0ea8f07154339828497 (diff)
downloadslackbuilds-4accae737577872cbfd59df496f9bf147cd4df67.tar.gz
slackbuilds-4accae737577872cbfd59df496f9bf147cd4df67.tar.xz
network/social-engineer-toolkit: Added (pentest framework).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/social-engineer-toolkit')
-rw-r--r--network/social-engineer-toolkit/README6
-rw-r--r--network/social-engineer-toolkit/doinst.sh19
-rw-r--r--network/social-engineer-toolkit/slack-desc19
-rw-r--r--network/social-engineer-toolkit/social-engineer-toolkit.SlackBuild81
-rw-r--r--network/social-engineer-toolkit/social-engineer-toolkit.info10
5 files changed, 135 insertions, 0 deletions
diff --git a/network/social-engineer-toolkit/README b/network/social-engineer-toolkit/README
new file mode 100644
index 0000000000..16eaedd000
--- /dev/null
+++ b/network/social-engineer-toolkit/README
@@ -0,0 +1,6 @@
+social-engineer toolkit (SET)
+
+The Social-Engineer Toolkit is an open-source penetration
+testing framework designed for social engineering. SET has
+a number of custom attack vectors that allow you to make a
+believable attack quickly.
diff --git a/network/social-engineer-toolkit/doinst.sh b/network/social-engineer-toolkit/doinst.sh
new file mode 100644
index 0000000000..ed2846092a
--- /dev/null
+++ b/network/social-engineer-toolkit/doinst.sh
@@ -0,0 +1,19 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/network/social-engineer-toolkit/slack-desc b/network/social-engineer-toolkit/slack-desc
new file mode 100644
index 0000000000..64915dd010
--- /dev/null
+++ b/network/social-engineer-toolkit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+social-engineer-toolkit: social-engineer-toolkit (penetration testing framework)
+social-engineer-toolkit:
+social-engineer-toolkit: The Social-engineer Toolkit is an open-source penetration testing
+social-engineer-toolkit: framework designed for social engineering. SET has a number of
+social-engineer-toolkit: custom attack vectors that allow you to make a believable attack
+social-engineer-toolkit: quickly.
+social-engineer-toolkit:
+social-engineer-toolkit:
+social-engineer-toolkit:
+social-engineer-toolkit:
+social-engineer-toolkit:
diff --git a/network/social-engineer-toolkit/social-engineer-toolkit.SlackBuild b/network/social-engineer-toolkit/social-engineer-toolkit.SlackBuild
new file mode 100644
index 0000000000..85e0e3686f
--- /dev/null
+++ b/network/social-engineer-toolkit/social-engineer-toolkit.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for social-engineer-toolkit
+
+# Copyright 2016 Andre Fernando, Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=social-engineer-toolkit
+VERSION=${VERSION:-7.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+SRCDIR=setoolkit
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/$SRCDIR $PKG/usr/bin/
+cp -ar * $PKG/usr/share/$SRCDIR
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md requirements.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+(
+ cd $PKG
+ ln -sf /usr/share/setoolkit/setoolkit $PKG/usr/bin/setoolkit
+ ln -sf /usr/share/setoolkit/seautomate $PKG/usr/bin/seautomate
+ ln -sf /usr/share/setoolkit/seproxy $PKG/usr/bin/seproxy
+ ln -sf /usr/share/setoolkit/seupdate $PKG/usr/bin/seupdate
+)
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/social-engineer-toolkit/social-engineer-toolkit.info b/network/social-engineer-toolkit/social-engineer-toolkit.info
new file mode 100644
index 0000000000..89900c6326
--- /dev/null
+++ b/network/social-engineer-toolkit/social-engineer-toolkit.info
@@ -0,0 +1,10 @@
+PRGNAM="social-engineer-toolkit"
+VERSION="7.4.3"
+HOMEPAGE="https://github.com/trustedsec/social-engineer-toolkit/"
+DOWNLOAD="https://github.com/trustedsec/social-engineer-toolkit/archive/7.4.3/social-engineer-toolkit-7.4.3.tar.gz"
+MD5SUM="4efbeee488eddbb05c6586c1d1651b35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pexpect python-requests pyOpenSSL pefile Impacket python-qrcode python3-pillow"
+MAINTAINER="Andre Fernando"
+EMAIL="ando344@gmail.com"